# Merchant::reports::transaction

## get processing result

> Retrieves the processing result of a previously submitted Merchant Transactions Report.\
> \
> The response will be in JSON format, conforming to \[the schema]\(<https://store.onside.io/schema/transactions-report-result.json>).

````json
{"openapi":"3.1.0","info":{"title":"Merchant API","version":"1.0.0"},"servers":[{"url":"https://store.onside.io/","description":"Production server"},{"url":"https://store.onside.dev/","description":"Development server"}],"paths":{"/merchant-api/v1/reports/transactions":{"get":{"tags":["merchant::reports::transaction"],"summary":"get processing result","description":"Retrieves the processing result of a previously submitted Merchant Transactions Report.\n\nThe response will be in JSON format, conforming to [the schema](https://store.onside.io/schema/transactions-report-result.json).","operationId":"merchant_transactions_report_result","parameters":[{"name":"Authorization","in":"header","description":"Bearer token for authentication","required":true,"schema":{"type":"string"}},{"name":"report_id","in":"query","description":"Unique identifier of Merchant Transactions report.","required":true,"schema":{"type":"integer","format":"int64","minimum":0}}],"responses":{"200":{"description":"Transactions report result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultOfMerchantTransactionsReportProcessing"}}}},"400":{"description":"Bad request"},"401":{"description":"Not authorized, missing or invalid token"},"404":{"description":"Transaction report not found"}}}}},"components":{"schemas":{"ResultOfMerchantTransactionsReportProcessing":{"type":"object","description":"Result of processing of transactions report\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"$id\": \"https://store.onside.io/schema/transactions-report-result.json\",\n  \"title\": \"Result of Merchant Transactions Report processing\",\n  \"description\": \"Result of processing of transactions report\",\n  \"type\": \"object\",\n  \"required\": [\n    \"accepted_at\",\n    \"report_id\",\n    \"transactions\"\n  ],\n  \"properties\": {\n    \"accepted_at\": {\n      \"description\": \"Date and time when the report was accepted\",\n      \"type\": \"string\",\n      \"format\": \"date-time\"\n    },\n    \"completed_at\": {\n      \"description\": \"Date and time when the report was completed\",\n      \"type\": \"string\",\n      \"format\": \"date-time\"\n    },\n    \"processing_at\": {\n      \"description\": \"Date and time when the report processing has started\",\n      \"type\": \"string\",\n      \"format\": \"date-time\"\n    },\n    \"report_id\": {\n      \"description\": \"Unique report identifier\",\n      \"type\": \"string\"\n    },\n    \"transactions\": {\n      \"type\": \"object\",\n      \"properties\": {\n        \"invalid\": {\n          \"description\": \"List of invalid transactions\",\n          \"type\": \"array\",\n          \"items\": {\n            \"type\": \"object\",\n            \"required\": [\n              \"id\",\n              \"reason\"\n            ],\n            \"properties\": {\n              \"id\": {\n                \"description\": \"Unique transaction identifier\",\n                \"type\": \"string\"\n              },\n              \"reason\": {\n                \"description\": \"Reason why the transaction is invalid\",\n                \"type\": \"string\"\n              }\n            }\n          }\n        },\n        \"valid\": {\n          \"description\": \"List of identifiers of valid transactions\",\n          \"type\": \"array\",\n          \"items\": {\n            \"type\": \"string\"\n          }\n        }\n      }\n    }\n  }\n}\n ```\n </details>","required":["accepted_at","report_id","transactions"],"properties":{"accepted_at":{"type":"string","format":"date-time","description":"Date and time when the report was accepted"},"completed_at":{"type":["string","null"],"format":"date-time","description":"Date and time when the report was completed"},"processing_at":{"type":["string","null"],"format":"date-time","description":"Date and time when the report processing has started"},"report_id":{"type":"string","description":"Unique report identifier"},"transactions":{"$ref":"#/components/schemas/ResultOfMerchantTransactionsReportProcessingTransactions"}}},"ResultOfMerchantTransactionsReportProcessingTransactions":{"type":"object","description":"`ResultOfMerchantTransactionsReportProcessingTransactions`\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"type\": \"object\",\n  \"properties\": {\n    \"invalid\": {\n      \"description\": \"List of invalid transactions\",\n      \"type\": \"array\",\n      \"items\": {\n        \"type\": \"object\",\n        \"required\": [\n          \"id\",\n          \"reason\"\n        ],\n        \"properties\": {\n          \"id\": {\n            \"description\": \"Unique transaction identifier\",\n            \"type\": \"string\"\n          },\n          \"reason\": {\n            \"description\": \"Reason why the transaction is invalid\",\n            \"type\": \"string\"\n          }\n        }\n      }\n    },\n    \"valid\": {\n      \"description\": \"List of identifiers of valid transactions\",\n      \"type\": \"array\",\n      \"items\": {\n        \"type\": \"string\"\n      }\n    }\n  }\n}\n ```\n </details>","properties":{"invalid":{"type":"array","items":{"$ref":"#/components/schemas/ResultOfMerchantTransactionsReportProcessingTransactionsInvalidItem"},"description":"List of invalid transactions"},"valid":{"type":"array","items":{"type":"string"},"description":"List of identifiers of valid transactions"}}},"ResultOfMerchantTransactionsReportProcessingTransactionsInvalidItem":{"type":"object","description":"`ResultOfMerchantTransactionsReportProcessingTransactionsInvalidItem`\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"type\": \"object\",\n  \"required\": [\n    \"id\",\n    \"reason\"\n  ],\n  \"properties\": {\n    \"id\": {\n      \"description\": \"Unique transaction identifier\",\n      \"type\": \"string\"\n    },\n    \"reason\": {\n      \"description\": \"Reason why the transaction is invalid\",\n      \"type\": \"string\"\n    }\n  }\n}\n ```\n </details>","required":["id","reason"],"properties":{"id":{"type":"string","description":"Unique transaction identifier"},"reason":{"type":"string","description":"Reason why the transaction is invalid"}}}}}}
````

## upload a report

> Uploads a Merchant Transaction report.\
> \
> The report must conform to \[the schema]\(<https://store.onside.io/schema/transactions-report.json)\\>
> and the payload size must not exceed 5 Megabytes.\
> \
> Report processing is asynchronous. To check the status of a submitted report,\
> make a GET request to this same endpoint using the \`report\_id\` returned in the\
> response of this POST request.\
> \
> This endpoint is idempotent; submitting the same report content multiple times\
> will result in the same outcome without reprocessing.

````json
{"openapi":"3.1.0","info":{"title":"Merchant API","version":"1.0.0"},"servers":[{"url":"https://store.onside.io/","description":"Production server"},{"url":"https://store.onside.dev/","description":"Development server"}],"paths":{"/merchant-api/v1/reports/transactions":{"post":{"tags":["merchant::reports::transaction"],"summary":"upload a report","description":"Uploads a Merchant Transaction report.\n\nThe report must conform to [the schema](https://store.onside.io/schema/transactions-report.json)\nand the payload size must not exceed 5 Megabytes.\n\nReport processing is asynchronous. To check the status of a submitted report,\nmake a GET request to this same endpoint using the `report_id` returned in the\nresponse of this POST request.\n\nThis endpoint is idempotent; submitting the same report content multiple times\nwill result in the same outcome without reprocessing.","operationId":"upload_merchant_transactions_report","parameters":[{"name":"Authorization","in":"header","description":"Bearer token for authentication","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantTransactionsReport"}}},"required":true},"responses":{"202":{"description":"Transactions report accepted for processing","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportIdResponse"}}}},"400":{"description":"Missing token"},"401":{"description":"Not authorized, invalid token"},"413":{"description":"Payload size exceeds the limit"},"422":{"description":"Invalid payload format"}}}}},"components":{"schemas":{"MerchantTransactionsReport":{"type":"object","description":"Report of merchant transactions\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"$id\": \"https://store.onside.io/schema/transactions-report.json\",\n  \"title\": \"Merchant Transactions Report\",\n  \"description\": \"Report of merchant transactions\",\n  \"type\": \"object\",\n  \"required\": [\n    \"created_at\",\n    \"transactions\"\n  ],\n  \"properties\": {\n    \"created_at\": {\n      \"description\": \"Date and time when the report was generated in RFC 3339 format\",\n      \"examples\": [\n        \"2025-06-30T16:01:25Z\",\n        \"2025-06-30T03:01:01+02:00\"\n      ],\n      \"type\": \"string\",\n      \"format\": \"date-time\"\n    },\n    \"transactions\": {\n      \"description\": \"List of transactions\",\n      \"type\": \"array\",\n      \"items\": {\n        \"type\": \"object\",\n        \"required\": [\n          \"currency\",\n          \"full_amount\",\n          \"id\",\n          \"payer_country\",\n          \"settled_at\",\n          \"tax_amount\"\n        ],\n        \"properties\": {\n          \"currency\": {\n            \"description\": \"Alpha-3 code of the original currency (ISO 4027) of the transaction\",\n            \"examples\": [\n              \"EUR\",\n              \"USD\"\n            ],\n            \"type\": \"string\",\n            \"pattern\": \"^[A-Z]{3}$\"\n          },\n          \"full_amount\": {\n            \"description\": \"Amount of the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units.\",\n            \"examples\": [\n              \"12357\",\n              \"99\"\n            ],\n            \"type\": \"integer\"\n          },\n          \"id\": {\n            \"description\": \"Unique transaction identifier\",\n            \"type\": \"string\"\n          },\n          \"payer_country\": {\n            \"description\": \"Alpha-3 code of the country (ISO 3166) of the payer\",\n            \"examples\": [\n              \"FRA\",\n              \"ESP\"\n            ],\n            \"type\": \"string\",\n            \"pattern\": \"^[A-Z]{3}$\"\n          },\n          \"settled_at\": {\n            \"description\": \"Date and time when the transaction was settled in RFC 3339 format\",\n            \"examples\": [\n              \"2025-06-12T12:14:25Z\",\n              \"2025-06-01T03:01:01+02:00\"\n            ],\n            \"type\": \"string\",\n            \"format\": \"date-time\"\n          },\n          \"tax_amount\": {\n            \"description\": \"Amount of the taxes included in the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units.\",\n            \"examples\": [\n              \"12357\",\n              \"99\"\n            ],\n            \"type\": \"integer\"\n          }\n        }\n      },\n      \"minItems\": 1\n    }\n  }\n}\n ```\n </details>","required":["created_at","transactions"],"properties":{"created_at":{"type":"string","format":"date-time","description":"Date and time when the report was generated in RFC 3339 format"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/MerchantTransactionsReportTransactionsItem"},"description":"List of transactions"}}},"MerchantTransactionsReportTransactionsItem":{"type":"object","description":"`MerchantTransactionsReportTransactionsItem`\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"type\": \"object\",\n  \"required\": [\n    \"currency\",\n    \"full_amount\",\n    \"id\",\n    \"payer_country\",\n    \"settled_at\",\n    \"tax_amount\"\n  ],\n  \"properties\": {\n    \"currency\": {\n      \"description\": \"Alpha-3 code of the original currency (ISO 4027) of the transaction\",\n      \"examples\": [\n        \"EUR\",\n        \"USD\"\n      ],\n      \"type\": \"string\",\n      \"pattern\": \"^[A-Z]{3}$\"\n    },\n    \"full_amount\": {\n      \"description\": \"Amount of the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units.\",\n      \"examples\": [\n        \"12357\",\n        \"99\"\n      ],\n      \"type\": \"integer\"\n    },\n    \"id\": {\n      \"description\": \"Unique transaction identifier\",\n      \"type\": \"string\"\n    },\n    \"payer_country\": {\n      \"description\": \"Alpha-3 code of the country (ISO 3166) of the payer\",\n      \"examples\": [\n        \"FRA\",\n        \"ESP\"\n      ],\n      \"type\": \"string\",\n      \"pattern\": \"^[A-Z]{3}$\"\n    },\n    \"settled_at\": {\n      \"description\": \"Date and time when the transaction was settled in RFC 3339 format\",\n      \"examples\": [\n        \"2025-06-12T12:14:25Z\",\n        \"2025-06-01T03:01:01+02:00\"\n      ],\n      \"type\": \"string\",\n      \"format\": \"date-time\"\n    },\n    \"tax_amount\": {\n      \"description\": \"Amount of the taxes included in the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units.\",\n      \"examples\": [\n        \"12357\",\n        \"99\"\n      ],\n      \"type\": \"integer\"\n    }\n  }\n}\n ```\n </details>","required":["currency","full_amount","id","payer_country","settled_at","tax_amount"],"properties":{"currency":{"$ref":"#/components/schemas/MerchantTransactionsReportTransactionsItemCurrency","description":"Alpha-3 code of the original currency (ISO 4027) of the transaction"},"full_amount":{"type":"integer","format":"int64","description":"Amount of the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units."},"id":{"type":"string","description":"Unique transaction identifier"},"payer_country":{"$ref":"#/components/schemas/MerchantTransactionsReportTransactionsItemPayerCountry","description":"Alpha-3 code of the country (ISO 3166) of the payer"},"settled_at":{"type":"string","format":"date-time","description":"Date and time when the transaction was settled in RFC 3339 format"},"tax_amount":{"type":"integer","format":"int64","description":"Amount of the taxes included in the transaction in the original currency in minor units: the smallest unit of a currency, depending on the number of decimals. For example, $12.34 (12 USD and 34 cents) is 1234 in minor units."}}},"MerchantTransactionsReportTransactionsItemCurrency":{"type":"string","description":"Alpha-3 code of the original currency (ISO 4027) of the transaction\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"description\": \"Alpha-3 code of the original currency (ISO 4027) of the transaction\",\n  \"examples\": [\n    \"EUR\",\n    \"USD\"\n  ],\n  \"type\": \"string\",\n  \"pattern\": \"^[A-Z]{3}$\"\n}\n ```\n </details>"},"MerchantTransactionsReportTransactionsItemPayerCountry":{"type":"string","description":"Alpha-3 code of the country (ISO 3166) of the payer\n\n <details><summary>JSON schema</summary>\n\n ```json\n{\n  \"description\": \"Alpha-3 code of the country (ISO 3166) of the payer\",\n  \"examples\": [\n    \"FRA\",\n    \"ESP\"\n  ],\n  \"type\": \"string\",\n  \"pattern\": \"^[A-Z]{3}$\"\n}\n ```\n </details>"},"ReportIdResponse":{"type":"object","required":["reportId"],"properties":{"reportId":{"type":"integer","format":"int64","description":"Unique identifier of Merchant Transactions report.","minimum":1}}}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onside.io/api/transactions-reporting-api/merchant-reports-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
